Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Product details

Returns full details for a single product including embedded variants, images, collections and custom attributes.

GET/products/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired

OAuth 2.0 Bearer token. Obtain via POST https://auth.onbolder.com/oauth/token.

Path parameters
idstringrequired

Product ID or slug

Responses
200

Product resource

idstring
slugstring
titlestring
statusstring
Allowed:visiblehidden
priceinteger

Price in cents

price_comparisoninteger | null

Original/comparison price in cents ("was" price)

discount_percentagenumber | null
currency_codestring
vendorstring
tagsstring[]
created_onstring<date-time>
updated_onstring<date-time>
_linksobject
_embeddedobject
Show properties
variantsVariantDetails[]
Show properties
Array of VariantDetails
idinteger
titlestring
positioninteger
skustring | null
priceinteger
price_comparisoninteger | null
stockinteger
available_if_no_stockboolean
weight_in_gramsinteger
_linksobject
imagesProductImage[]
Show properties
Array of ProductImage
file_namestring
titlestring
_linksImageLinks

Links to image at various sizes

Show properties
thumbnailHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
smallHalLink
mediumHalLink
largeHalLink
originalHalLink
collectionsCollection[]
Show properties
Array of Collection
idinteger
titlestring
slugstring
shop_idinteger
custom_attributesCustomAttribute[]
Show properties
Array of CustomAttribute
idinteger
namestring
valuestring
field_typestring
Allowed:stringemailurlintboolean
requiredboolean
keystring
descriptionstring
404

Resource not found

messagestring
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.onbolder.com/v1/products/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "slug": "string",
  "title": "string",
  "status": "visible",
  "price": 0,
  "price_comparison": 0,
  "discount_percentage": 0,
  "currency_code": "string",
  "vendor": "string",
  "tags": [
    "string"
  ],
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z",
  "_links": {},
  "_embedded": {
    "shop": {
      "id": "string",
      "name": "string",
      "subdomain": "string",
      "url": "string",
      "description": "string",
      "currency_code": "string",
      "locale": "string",
      "created_on": "2019-08-24T14:15:22Z",
      "updated_on": "2019-08-24T14:15:22Z",
      "product_counts": {
        "visible": 0,
        "hidden": 0
      },
      "_links": {}
    },
    "image": {
      "file_name": "string",
      "title": "string",
      "_links": {
        "thumbnail": {
          "href": "string",
          "method": "string",
          "title": "string",
          "type": "string",
          "templated": true
        },
        "small": {
          "href": "string",
          "method": "string",
          "title": "string",
          "type": "string",
          "templated": true
        },
        "medium": {
          "href": "string",
          "method": "string",
          "title": "string",
          "type": "string",
          "templated": true
        },
        "large": {
          "href": "string",
          "method": "string",
          "title": "string",
          "type": "string",
          "templated": true
        },
        "original": {
          "href": "string",
          "method": "string",
          "title": "string",
          "type": "string",
          "templated": true
        }
      }
    },
    "variants": [
      {
        "id": 0,
        "title": "string",
        "position": 0,
        "sku": "string",
        "price": 0,
        "price_comparison": 0,
        "stock": 0,
        "available_if_no_stock": true,
        "weight_in_grams": 0,
        "_links": {}
      }
    ],
    "collections": [
      {
        "id": 0,
        "title": "string",
        "slug": "string",
        "shop_id": 0
      }
    ],
    "images": [
      {
        "file_name": "string",
        "title": "string",
        "_links": {
          "thumbnail": {
            "href": "string",
            "method": "string",
            "title": "string",
            "type": "string",
            "templated": true
          },
          "small": {
            "href": "string",
            "method": "string",
            "title": "string",
            "type": "string",
            "templated": true
          },
          "medium": {
            "href": "string",
            "method": "string",
            "title": "string",
            "type": "string",
            "templated": true
          },
          "large": {
            "href": "string",
            "method": "string",
            "title": "string",
            "type": "string",
            "templated": true
          },
          "original": {
            "href": "string",
            "method": "string",
            "title": "string",
            "type": "string",
            "templated": true
          }
        }
      }
    ],
    "custom_attributes": [
      {
        "id": 0,
        "name": "string",
        "value": "string",
        "field_type": "string",
        "required": true,
        "key": "string"
      }
    ]
  },
  "description": "string"
}

Was this page helpful?